| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
Conn Class Referenceabstract
General

Data connection. More...

`#include <conn.h>`

Inheritance diagram for Conn:
[legend]

## Public Member Functions
virtual | ~Conn ()
virtual void | close ()
Conn * | conn ()
const Conn * | conn () const
| Returns the actual connection doing the work.
virtual const char * | connType () const =0
virtual const char * | creationMessage () const
virtual bool | forRead () const =0
virtual bool | forWrite () const
virtual StreamConn * | getStream ()
virtual bool | isBad () const =0
bool | isStream () const
const MultiID & | linkedTo () const
void | setLinkedTo (const MultiID &id)

## Static Public Attributes
static const bool | Read
static const bool | Write

## Protected Member Functions
| Conn ()
virtual Conn * | gtConn () const

## Protected Attributes
MultiID | ioobjid_

## Detailed Description

Data connection.

Data can be found in files and data stores. To access these data sources, some kind of connection must be set up. This class defines a simple interface common to these connections.

<>

## Constructor & Destructor Documentation

## ◆ ~Conn()

virtual Conn::~Conn | ( |  | ) |
| virtual

## ◆ Conn()

Conn::Conn | ( |  | ) |
| protected

## Member Function Documentation

## ◆ close()

virtual void Conn::close | ( |  | ) |
| inline virtual

Reimplemented in XConn, and StreamConn.

## ◆ conn() [1/2]

Conn * Conn::conn | ( |  | ) |
| inline

## ◆ conn() [2/2]

const Conn * Conn::conn | ( |  | ) | const
| inline

Returns the actual connection doing the work.

## ◆ connType()

virtual const char * Conn::connType | ( |  | ) | const
| pure virtual

Implemented in XConn, and StreamConn.

## ◆ creationMessage()

virtual const char * Conn::creationMessage | ( |  | ) | const
| inline virtual

Reimplemented in XConn, and StreamConn.

## ◆ forRead()

virtual bool Conn::forRead | ( |  | ) | const
| pure virtual

Implemented in XConn, and StreamConn.

## ◆ forWrite()

virtual bool Conn::forWrite | ( |  | ) | const
| inline virtual

Reimplemented in XConn, and StreamConn.

## ◆ getStream()

virtual StreamConn * Conn::getStream | ( |  | ) |
| inline virtual

Reimplemented in XConn, and StreamConn.

## ◆ gtConn()

virtual Conn * Conn::gtConn | ( |  | ) | const
| inline protected virtual

Reimplemented in XConn.

## ◆ isBad()

virtual bool Conn::isBad | ( |  | ) | const
| pure virtual

Implemented in XConn, and StreamConn.

## ◆ isStream()

bool Conn::isStream | ( |  | ) | const
| inline

## ◆ linkedTo()

const MultiID & Conn::linkedTo | ( |  | ) | const
| inline

## ◆ setLinkedTo()

void Conn::setLinkedTo | ( | const MultiID & | id | ) |
| inline

## Member Data Documentation

## ◆ ioobjid_

MultiID Conn::ioobjid_
| protected

## ◆ Read

const bool Conn::Read
| static

## ◆ Write

const bool Conn::Write
| static

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025